import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
export declare class TooltipConfig extends BasicConfig {
    /**
     * 弹出的文字
     */
    title: string;
    /**
     * 被挂载的元素
     */
    children: BasicConfig[];
}
export declare class TooltipPropsInterface extends BasicContainerPropsInterface {
    info: TooltipConfig;
}
export declare class AbstractTooltip extends BasicContainer<TooltipPropsInterface, {}> {
    constructor(props: TooltipPropsInterface);
    render(): {} | null | undefined;
}
