import { BasicCustomerInstance, CustomerParams } from '../Controller';
export interface PassCustomerExecConfig {
    /**
     * 设置的值
     */
    groups: {
        key: string;
        value: string;
    }[];
    /**
     * 动作
     */
    action?: 'SET' | 'DELETE';
}
export declare class LocalStorageCustomer implements BasicCustomerInstance {
    exec(config: PassCustomerExecConfig, params: CustomerParams): Promise<{
        key: string;
        value: string;
    }[] | null>;
}
