import { BasicCustomerInstance, CustomerParams } from '../Controller';
export interface ConfirmCustomerExecConfig {
    /**
     * 提示的内容
     */
    content: string;
    /**
     * 默认自动关闭延时，单位秒
     */
    duration?: number;
    /**
     * 消息距离顶部位置
     */
    top?: number;
    /**
     * 弹出的类型
     */
    mode: 'success' | 'info' | 'error' | 'warning' | 'loading';
}
export declare class MessageCustomer implements BasicCustomerInstance {
    exec(config: ConfirmCustomerExecConfig, params: CustomerParams): Promise<boolean>;
}
