import { BasicAsyncProviderInterface, ProviderGlobalOptions, ProviderSourceConfig } from '../Controller';
import { AxiosRequestConfig } from 'axios';
import { ContainerProps } from '../../Container/types';
export interface AjaxProviderSourceConfig extends ProviderSourceConfig {
    config: AxiosRequestConfig;
}
export declare class AjaxDataProvider implements BasicAsyncProviderInterface {
    configCheck(provider: AjaxProviderSourceConfig): boolean;
    parse(provider: AjaxProviderSourceConfig, props: ContainerProps, context: any): AjaxProviderSourceConfig;
    retCheck(ret: Object, provider: AjaxProviderSourceConfig, props: ContainerProps, context: any): boolean;
    retParse(ret: Object, provider: ProviderSourceConfig, props: ContainerProps, context: any): Object;
    run(provider: AjaxProviderSourceConfig, options?: ProviderGlobalOptions): Promise<any>;
    onError(errmsg: string): void;
}
