import { BasicSyncProviderInterface, ProviderGlobalOptions, ProviderSourceConfig } from '../Controller';
import { ContainerProps } from '../../Container/types';
export interface LocalStorageConfig extends ProviderSourceConfig {
    config: string[];
}
export declare class LocalStorageDataProvider implements BasicSyncProviderInterface {
    configCheck(provider: LocalStorageConfig): boolean;
    parse(provider: LocalStorageConfig, props: ContainerProps, context: any): LocalStorageConfig;
    retCheck(ret: Object, provider: LocalStorageConfig): boolean;
    retParse(ret: Object, provider: LocalStorageConfig, props: ContainerProps, context: any): Object;
    run(provider: LocalStorageConfig, options?: ProviderGlobalOptions): {};
    onError(errmsg: string): void;
}
