/// <reference types="react" />
import * as React from 'react';
export declare type ComponentLoaderMapVal = {
    component: React.ComponentClass<any>;
    componentInterface: Object;
};
export declare class ComponentLoader {
    private cache;
    constructor();
    getComponent(type: string): ComponentLoaderMapVal;
    addComponent(type: string, component: React.ComponentClass<any>, componentInterface: any): void;
}
declare const loader: ComponentLoader;
export default loader;
