/// <reference types="react" />
import * as React from 'react';
import './CodeBox.css';
export interface CodeBoxPropsInterface {
    title: string;
    desc: string;
    code: string;
    language: string;
    mode?: string;
}
export interface CodeBoxStateInterface {
    expand: boolean;
}
export declare class CodeBox extends React.Component<CodeBoxPropsInterface, CodeBoxStateInterface> {
    constructor(props: CodeBoxPropsInterface);
    render(): JSX.Element;
    private handleClick();
}
