/// <reference types="react" />
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
export declare class AffixConfig extends BasicConfig {
    /**
     * 距离窗口底部达到指定偏移量后触发
     */
    offsetBottom?: number;
    /**
     * 距离窗口顶部达到指定偏移量后触发
     */
    offsetTop?: number;
    /**
     * 被挂载的元素
     */
    children: BasicConfig[];
}
export declare class AffixPropsInterface extends BasicContainerPropsInterface {
    info: AffixConfig;
}
export declare class AbstractAffix extends BasicContainer<AffixPropsInterface, {}> {
    constructor(props: AffixPropsInterface);
    render(): JSX.Element;
}
