/// <reference types="react" />
import { BasicContainerPropsInterface, BasicConfig, BasicContainer } from '../../render/core/Container/types';
export declare class LinkConfig extends BasicConfig {
    /**
     * 跳转模式
     */
    mode: 'a' | 'Link';
    /**
     * 跳转地址
     */
    src: string;
    /**
     * 字级元素
     */
    children: BasicConfig[];
}
export declare class LinkPropsInterface extends BasicContainerPropsInterface {
    info: LinkConfig;
}
export declare class AbstractLink extends BasicContainer<LinkPropsInterface, {}> {
    constructor(props: LinkPropsInterface);
    render(): JSX.Element;
}
