/// <reference types="react" />
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
export declare class TrendConfig extends BasicConfig {
    /**
     * up: 红色
     * down: 绿色
     */
    flag: 'up' | 'down' | 'normal';
    /**
     * 显示的值
     */
    text: string;
}
export declare class TrendPropsInterface extends BasicContainerPropsInterface {
    info: TrendConfig;
}
export declare class AbstractTrend extends BasicContainer<TrendPropsInterface, {}> {
    constructor(props: TrendPropsInterface);
    render(): JSX.Element;
}
