/// <reference types="react" />
/// <reference types="monaco-editor" />
import * as React from 'react';
import './index.css';
export interface JSONEditorPropsInterface {
    code: string;
    onChange: (code: string) => void;
}
export interface JSONEditorStateInterface {
    code: string;
}
declare class JSONEditor extends React.Component<JSONEditorPropsInterface, JSONEditorStateInterface> {
    constructor(props: JSONEditorPropsInterface);
    componentWillMount(): void;
    handleChange(code: string): void;
    componentWillReceiveProps(nextProps: JSONEditorStateInterface): void;
    componentDidMount(): void;
    editorDidMount(editor: monaco.editor.ICodeEditor, monacoModule: typeof monaco): void;
    render(): JSX.Element;
}
export default JSONEditor;
