## 弹出模态框

可以添加notification属性来弹出模态框通知

```json
{
    "body": [
        {
            "type": "container",
            "model": "buttonNotificationState",
            "data": {
                "state": "-"
            },
            "dataCustomer": {
                "customers": [
                    {
                        "mode": "pass",
                        "name": "notificationDataPass",
                        "config": {
                            "model": "buttonNotificationState",
                            "assign": {
                                "state": "#ES{$trigger.notificationDataPass.state}"
                            }  
                        }
                    }
                ]
            },
            "children": [
                {
                    "type": "row",
                    "width": 500,
                    "children": [
                        {
                            "type": "button",
                            "text": "notificationExample",
                            "gridCount": 4,
                            "notification": {
                                "title": "Notification Title",
                                "maskClosable": true,
                                "controls": [
                                    {
                                        "type": "text",
                                        "text": "custom content",
                                        "style": {
                                            "color": "red"
                                        }
                                    }
                                ]
                            },
                            "trigger": [
                                {
                                    "event": "onOk",
                                    "targetCustomer": "notificationDataPass",
                                    "params": {
                                        "state": "ok"
                                    }
                                },
                                {
                                    "event": "onCancle",
                                    "targetCustomer": "notificationDataPass",
                                    "params": {
                                        "state": "cancle"
                                    }
                                }
                            ]
                        },
                        {
                            "type": "text",
                            "gridCount": 4,
                            "text": "notification state: #ES{$data.state}"
                        }
                    ]
                }
            ]
        }
    ]
}
```
