# Calendar 日历

移植于ant.design的Calendar组件，增加了切换选择月份的功能。可以参考: https://ant.design/components/calendar-cn/

## 代码演示

{{demo}}

-----
## API

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| dateCellRender | 自定义渲染日期单元格，返回内容会被追加到单元格 | BasicConfig[] | 无 |
| dateFullCellRender | 自定义渲染日期单元格，返回内容覆盖单元格 | BasicConfig[] | 无 |
| monthCellRender | 自定义渲染月单元格，返回内容会被追加到单元格 | BasicConfig[] | 无 |
| monthFullCellRender | 自定义渲染月单元格，返回内容覆盖单元格 | BasicConfig[] | 无 |
| defaultValue | 默认展示的日期 | [moment](http://momentjs.com/) | 默认日期 |
| fullscreen | 是否全屏显示 | boolean | true |
| mode | 初始模式，`month/year` | string | month |
| value | 展示日期 | [moment](http://momentjs.com/) | 当前日期 |
| headerType | 日期头部类型 | string | 无 |
| headerDescribe | 日期头部是switch时，右侧自定义内容 | BasicConfig[] | 无 |
| dataSource | 数据源 | dateItem (object) | 无 |
| onSelect | 点击选择日期回调 |  | 无 |

### dateItem 数据结构
| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| key | 键，时间戳 | timestamp |  |
| value | 每一个时间戳对应的值 | object |  ||

