## 切换选择月份

头部类型是左右切换选择月份的日历组件，可自定义描述信息。

```json
{
    "body": [
        {
            "type": "container",
            "model": "switchHeaderData",
            "data": {
            },
            "dataProvider": [{
                "mode": "ajax",
                "namespace": "firstRequest",
                "config": {
                    "url": "/api/mock/calendar",
                    "method": "GET",
                    "data": {
                    }
                }
            }],
            "children": [
                {
                    "type": "calendar",
                    "dataSource": "#ES{$data.firstRequest.data.res}",
                    "headerType": "switch",
                    "controls": {
                        "content": [{
                            "type": "text",
                            "text": "剩余:"
                        },
                        {
                            "type": "text",
                            "text": "#ES{$item.total}",
                            "style": {
                                "color": "#3FACA3",
                                "padding": "0 5px"
                             }
                        }],
                        "noContent": [{
                            "type": "text",
                            "text": "无"
                        }]
                    },
                    "headerControls": [
                        {
                            "type": "text",
                            "text": "时间: #ES{$moment.unix($data.firstRequest.data.startTime).format('YYYY-MM-DD')} 至 #ES{$moment.unix($data.firstRequest.data.endTime).format('YYYY-MM-DD')}"
                        }, 
                        {
                            "type": "text",
                            "text": "总量: #ES{$data.firstRequest.data.total}"
                        }
                    ]
                }
            ]
        }
    ]
}
```
