# 通用卡片容器。

最基础的卡片容器，可承载文字、列表、图片、段落，常用于后台概览页面。
## 代码演示

{{demo}}

-----
## API

### Card

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| bodyStyle | 内容区域自定义样式 | object | - |
| bordered | 是否有边框 | boolean | true |
| hoverable | 鼠标移过时可浮起 | boolean | false |
| loading | 当卡片内容还在加载中时，可以用 loading 展示一个占位 | boolean | false |
| type | 卡片类型，可设置为 `inner` 或 不设置 | string | - |
| dataSource | 卡片详情内容 | object | - |

### dataSource数据结构
| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| title | 大标题 | string | - |
| content | 内容 | contentItem[] | - |
| contentItem.title | 子标题 | string | - |
| contentItem.content | 子内容 | string | - |

### Card.Meta

| Property | Description | Type | Default |
| -------- | ----------- | ---- | ------- |
| className | 容器类名 | string | - |
| metaStyle | 定义容器类名的样式 | object | - |
