## 配置组件化

通过props就能很轻松的将父级的一些属性映射到父级，可以实现配置组件化

```json
{
    "body": [{
        "type": "container",
        "model": "component",
        "data": {
            "name": "andycall",
            "age": 22,
            "mode": "outer"
        },
        "children": [{
            "type": "container",
            "model": "child",
            "data": {
                "mode": "inner"
            },
            "props": {
                "name": "#ES{$parent.name + ' is children'}",
                "age": "#ES{$parent.age + $parent.age}"
            },
            "children": [{
                "type": "text",
                "text": "name: #ES{$data.name}"
            }, {
                "type": "text",
                "text": "age: #ES{$data.age}"
            }]
        }]
    }]
}
```
