## 浏览器跳转
当不能使用Text组件的跳转功能的时候，也可以使用这个任务来实现浏览器跳转。

设置mode为location就可以定义一个浏览器跳转任务。


```json
{
    "body": [
        {
            "type": "container",
            "model": "location",
            "dataCustomer": {
                "customers": [
                    {
                        "mode": "location",
                        "name": "jump",
                        "config": {
                            "href": "#ES{$trigger.jump.from}",
                            "params": {
                                "wd": "#ES{$trigger.jump.query}"
                            }
                        }
                    }
                ]
            },
            "children": [
                {
                    "type": "button",
                    "text": "click to jump",
                    "trigger": [{
                        "event": "onClick",
                        "targetCustomer": "jump",
                        "params": {
                            "from": "https://www.baidu.com/s",
                            "query": "react"
                        }
                    }]
                }
            ]
        }
    ]
}
```
