# DropDown 下拉菜单

## 代码演示

{{demo}}

## API

|         属性          |                说明                |                    类型                    | 是否必须  |   默认值   |
| :-----------------: | :------------------------------: | :--------------------------------------: | :---: | :-----: |
|         buttonText   |  按钮的文字 | string | true | - |
| buttonType | 按钮的类型 | string | false | default |
| dropDownItems | 下拉的选项, 设置link是使用react-router-dom跳转，src是a标签跳转 |  {text: string, link: string, src?: string}[] | true | [] |
| disabled | 是否禁用 | boolean | false | false |
| placement | 弹出位置 | 'bottomLeft','bottomCenter','bottomRight', 'topLeft', 'topCenter','topRight' | false | bottomLeft |
| triggerType | 触发的方式 | ['hover'], ['click'], ['hover','click'] | false | ['hover'] |


## 事件
| 事件名称        | 触发条件   | 参数   |
| ----------- | ------ | ---- |
| onVisibleChange     | 当下拉菜单展开   | {visible: boolean}   |
