## 不同的布局

设置layout为horizontal，vertical，inline可以使用不同的布局结构

```json
{
    "body": [
        {
            "type": "container",
            "model": "layoutForm",
            "data": {
                "layout": "horizontal"
            },
            "children": [
                {
                    "type": "row",
                    "children": [
                        {
                            "type": "radio",
                            "name": "layout",
                            "options": [
                                {
                                    "label": "horizontal",
                                    "value": "horizontal"
                                },
                                {
                                    "label": "vertical",
                                    "value": "vertical"
                                },
                                {
                                    "label": "inline",
                                    "value": "inline"
                                }
                            ]
                        }
                    ]
                },
                {
                    "type": "form",
                    "name": "layoutForm",
                    "layout": "#ES{$data.layout}",
                    "children": [
                        {
                            "type": "formItem",
                            "label": "姓名",
                            "required": true,
                            "control": {
                                "type": "input",
                                "name": "username",
                                "placeholder": "请输入姓名"  
                            }
                        }
                    ]
                }
            ]
        }
    ]
}
```
