## 延迟触发

使用debounce属性可以让输入框延迟一段时间再同步到container中，

这个在通过输入框查询时非常有用。

```json
{
    "body": [{
        "type": "container",
        "model": "delay",
        "children": [{
            "type": "input",
            "name": "name",
            "style": {
                "width": 300
            },
            "debounce": 1000
        }, {
            "type": "text",
            "text": "#ES{$data.name}"
        }]
    }]
}
```
