## 图例设置

图例自定义形状

```json
{
    "body": [
        {
            "type": "container",
            "model": "chartLegend",
            "dataProvider": [
                {  
                    "mode": "ajax",
                    "namespace": "linechart",
                    "config": {
                        "url": "/api/mock/linechart",
                        "method": "GET"
                    }
                }
            ],
            "children": [
                {
                    "type": "lineChart",
                    "categories": "#ES{$data.linechart.data.categories}",
                    "series": "#ES{$data.linechart.data.series}",
                    "legends":{
                        "type": "scroll",
                        "top": "10%",
                        "left": "20%",
                        "width": 200,
                        "height": 200,
                        "orient": "vertical"
                   },
                   "customLegend": true,
                   "height": 300
                }
            ]
        }
    ]
}
```