## 图例设置

yAxis对纵轴设置

```json
{
    "body": [
        {
            "type": "container",
            "model": "chartyAxis",
            "children": [
                {
                    "type": "lineChart",
                    "legends":{
                        "type": "scroll",
                        "top": "10%",
                        "left": "20%",
                        "width": 300,
                        "height": 50
                    },
                    "categories": [
                        "2015-11-01",
                        "2015-11-02",
                        "2015-11-03"
                    ],
                    "series": [
                        {
                            "name": "推广用户数",
                            "icon": "rect",
                            "smooth": true,
                            "showSymbol": false,
                            "areaStyle": {
                                "normal":{
                                    "color": "rgba(57,152,252,0.10)"
                                }
                            },
                            "itemStyle": {
                                "normal": {
                                    "color": "rgb(57, 152, 252)",
                                    "lineStyle": {
                                        "width": 1
                                    }
                                },
                                "emphasis": {
                                    "borderWidth": 1
                                }
                            },
                            "data": [
                                198907,
                                97761,
                                198924
                            ]
                        },
                        {
                            "name": "老用户数1",
                            "icon": "rect",
                            "areaStyle": {
                                "normal":{
                                    "color": "rgba(91, 196, 159, 0.10)"
                                }
                            },
                            "itemStyle": {
                                "normal": {
                                    "color": "rgb(91, 196, 159)",
                                    "lineStyle": {
                                        "width": 1
                                    }
                                },
                                "emphasis": {
                                    "borderWidth": 1
                                }
                            },
                            "data": [
                                123787,
                                126385,
                                123691
                            ]
                        },
                        {
                            "name": "老用户数2",
                            "icon": "rect",
                            "areaStyle": {
                                "normal":{
                                    "color": "rgba(91, 196, 159, 0.10)"
                                }
                            },
                            "itemStyle": {
                                "normal": {
                                    "color": "rgb(91, 196, 159)",
                                    "lineStyle": {
                                        "width": 1
                                    }
                                },
                                "emphasis": {
                                    "borderWidth": 1
                                }
                            },
                            "data": [
                                123787,
                                126385,
                                123691
                            ]
                        },
                                                {
                            "name": "老用户数3",
                            "icon": "rect",
                            "areaStyle": {
                                "normal":{
                                    "color": "rgba(91, 196, 159, 0.10)"
                                }
                            },
                            "itemStyle": {
                                "normal": {
                                    "color": "rgb(91, 196, 159)",
                                    "lineStyle": {
                                        "width": 1
                                    }
                                },
                                "emphasis": {
                                    "borderWidth": 1
                                }
                            },
                            "data": [
                                123787,
                                126385,
                                123691
                            ]
                        },
                                                {
                            "name": "老用户数4",
                            "icon": "rect",
                            "areaStyle": {
                                "normal":{
                                    "color": "rgba(91, 196, 159, 0.10)"
                                }
                            },
                            "itemStyle": {
                                "normal": {
                                    "color": "rgb(91, 196, 159)",
                                    "lineStyle": {
                                        "width": 1
                                    }
                                },
                                "emphasis": {
                                    "borderWidth": 1
                                }
                            },
                            "data": [
                                123787,
                                126385,
                                123691
                            ]
                        },
                                                {
                            "name": "老用户数5",
                            "icon": "rect",
                            "areaStyle": {
                                "normal":{
                                    "color": "rgba(91, 196, 159, 0.10)"
                                }
                            },
                            "itemStyle": {
                                "normal": {
                                    "color": "rgb(91, 196, 159)",
                                    "lineStyle": {
                                        "width": 1
                                    }
                                },
                                "emphasis": {
                                    "borderWidth": 1
                                }
                            },
                            "data": [
                                123787,
                                126385,
                                123691
                            ]
                        },
                                                {
                            "name": "老用户数6",
                            "icon": "rect",
                            "areaStyle": {
                                "normal":{
                                    "color": "rgba(91, 196, 159, 0.10)"
                                }
                            },
                            "itemStyle": {
                                "normal": {
                                    "color": "rgb(91, 196, 159)",
                                    "lineStyle": {
                                        "width": 1
                                    }
                                },
                                "emphasis": {
                                    "borderWidth": 1
                                }
                            },
                            "data": [
                                123787,
                                126385,
                                123691
                            ]
                        },
                        {
                            "name": "老用户数7",
                            "icon": "rect",
                            "areaStyle": {
                                "normal":{
                                    "color": "rgba(91, 196, 159, 0.10)"
                                }
                            },
                            "itemStyle": {
                                "normal": {
                                    "color": "rgb(91, 196, 159)",
                                    "lineStyle": {
                                        "width": 1
                                    }
                                },
                                "emphasis": {
                                    "borderWidth": 1
                                }
                            },
                            "data": [
                                123787,
                                126385,
                                123691
                            ]
                        },
                        {
                            "name": "老用户数8",
                            "icon": "rect",
                            "areaStyle": {
                                "normal":{
                                    "color": "rgba(91, 196, 159, 0.10)"
                                }
                            },
                            "itemStyle": {
                                "normal": {
                                    "color": "rgb(91, 196, 159)",
                                    "lineStyle": {
                                        "width": 1
                                    }
                                },
                                "emphasis": {
                                    "borderWidth": 1
                                }
                            },
                            "data": [
                                123787,
                                126385,
                                123691
                            ]
                        },
                        {
                            "name": "老用户数10",
                            "icon": "rect",
                            "areaStyle": {
                                "normal":{
                                    "color": "rgba(91, 196, 159, 0.10)"
                                }
                            },
                            "itemStyle": {
                                "normal": {
                                    "color": "rgb(91, 196, 159)",
                                    "lineStyle": {
                                        "width": 1
                                    }
                                },
                                "emphasis": {
                                    "borderWidth": 1
                                }
                            },
                            "data": [
                                123787,
                                126385,
                                123691
                            ]
                        }   
                    ],
                    "height": 300,
                    "xAxis": {
                        "axisLine": {
                            "onZero": false,
                            "lineStyle": {
                                "color": "#5793f3"
                            }
                        },
                        "axisTick": {
                            "show": false
                        } 
                    },
                    "yAxis":{
                        "show": true,
                        "axisTick": {
                            "show": true
                        },
                        "axisLine": {
                            "show": false
                        },
                        "splitLine": {
                            "show": true,
                            "lineStyle":{
                                "color": "#373737",
                                "type": "dashed"
                            }
                        }
                    }
                }
            ]
        }
    ]
}
```