## 外部控制

通过修改modal通过name属性存在container中的值，就能够控制modal的状态

```json
{
    "body": [{
        "type": "container",
        "model": "controledModal",
        "children": [{
            "type": "text",
            "text": "modal的状态: #ES{$data.modalState}"
        }, {
            "type": "modal",
            "name": "modalState",
            "children": [{
                "type": "button",
                "text": "关闭",
                "trigger": [{
                    "event": "onClick",
                    "targetCustomer": "$this",
                    "params": {
                        "modalState": false
                    }
                }]
            }],
            "footer": false
        }, {
            "type": "button",
            "text": "打开Modal",
            "trigger": [{
                "event": "onClick",
                "targetCustomer": "$this",
                "params": {
                    "modalState": true
                }
            }]
        }]
    }]
}
```
