## 表格嵌入弹框

可以在表格中嵌入popover来实现单元格弹框

```json
{
    "body": [
        {
            "type": "container",
            "model": "tableBasic",
            "dataProvider": [{
                "mode": "ajax",
                "namespace": "tableData",
                "config": {
                    "url": "/api/mock/table",
                    "method": "GET"
                }
            }],
            "children": [
                {
                    "type": "table",
                    "columns": "#ES{$data.tableData.data.head}",
                    "dataSource": "#ES{$data.tableData.data.body}",
                    "rowKey": "id",
                    "customerColumnControls": [{
                        "dataIndex": "stdatetime",
                        "controls": [{
                            "type": "popover",
                            "content": {
                                "type": "table",
                                "columns": "#ES{$data.tableData.data.head}",
                                "dataSource": "#ES{$data.tableData.data.body}",
                                "rowKey": "id",
                                "pagination": false
                            },
                            "placement": "bottom",
                            "children": [{
                                "type": "text",
                                "text": "#ES{$item.stdatetime}"
                            }]
                        }]
                    }]
                }
            ]
        }
    ]
}
```
