## 触发类型

设置`triggerType`可以设置弹出框的触发方式

```json
{
    "body": [
        {
            "type": "container",
            "model": "popContainer",
            "children": [{
                "type": "popover",
                "triggerType": "click",
                "title": "clicked",
                "content": "you clicked me",
                "children": [
                    {
                        "type": "button",
                        "text": "click",
                        "trigger": [{
                            "event": "onClick",
                            "targetCustomer": "$this",
                            "params": {
                                "text": "aa"
                            }
                        }]
                    }
                ]
            }, {
                "type": "text",
                "text": "#ES{$data.text}"
            }]
        }
    ]
}
```
