## 在某些条件才显示

骚年，灵活使用show来实现吧

```json
{
    "body": [
        {
            "type": "container",
            "model": "visibleOnContainer",
            "children": [
                {
                    "type": "radio",
                    "name": "visible",
                    "defaultValue": "show",
                    "options": [{
                        "label": "显示",
                        "value": "show"
                    }, {
                        "label": "不显示",
                        "value": "hide"
                    }]
                },
                {
                    "type": "popover",
                    "title": "test",
                    "show": "#ES{$data.visible === 'show'}",
                    "content": "helloworld",
                    "children": [
                        {
                            "type": "text",
                            "text": "hover me"
                        }
                    ]
                },
                {
                    "type": "text",
                    "text": "hover me",
                    "show": "#ES{$data.visible !== 'show'}"
                }
            ]
        }
    ]
}
```
