## 自定义数据绑定

可以使用ExpressionString手动绑定container对象中的的值

```json
{
    "body": [
        {
            "type": "container",
            "model": "customBind",
            "data": {
                "timeStart": "#ES{$moment().subtract(2, 'days')}",
                "timeEnd": "#ES{$moment().add(2, 'days')}"
            },
            "children": [
                {
                    "type": "rangePicker",
                    "name": "dateRange",
                    "defaultValue": ["2018-03-01", "2018-03-20"]
                }
            ]
        }
    ]
}
```
