## 调整布局顺序

使用`flexDirection`属性来调整一个row组件内部的元素的排列方式

+ row: 从左向右
+ row-reverse: 从右向左
+ column: 从上到下
+ column-reverse: 从下到上


```json
{
    "debug": true,
    "body": [
        {
            "type": "row",
            "height": 200,
            "children": [
                {
                    "type": "text",
                    "gridWidth": 40,
                    "text": "A"
                },
                {
                    "type": "row",
                    "flexDirection": "column",
                    "children": [
                        {
                            "type": "text",
                            "text": "B"
                        },
                        {
                            "type": "text",
                            "text": "C"
                        },
                        {
                            "type": "row",
                            "flexDirection": "row-reverse",
                            "children": [
                                {
                                    "type": "text",
                                    "text": "1"
                                },
                                {
                                    "type": "text",
                                    "text": "2"
                                },
                                {
                                    "type": "text",
                                    "text": "3"
                                }
                            ]
                        },
                        {
                            "type": "text",
                            "text": "E"
                        }
                    ]
                }
            ]
        }
    ]
}
```