## 多选

设置mode为multiple就能支持多选，多选写入到数据模型中的值是一个数组。

```json
{
    "body": [
        {
            "type": "container",
            "model": "multiple",
            "data": {
                "options": [
                    {
                        "key": "A",
                        "value": "a"
                    },
                    {
                        "key": "B",
                        "value": "b"
                    }
                ]
            },
            "children": [
                {
                    "type": "select",
                    "name": "list",
                    "mode": "multiple",
                    "options": "#ES{$data.options}",
                    "defaultValue": ["a"]
                },
                {
                    "type": "text",
                    "text": "select value: #ES{$data.list}"
                }
            ]
        }
    ]
}
```
