## 固定表头

设置fixedHeader属性可以让表格的内容区域以固定的宽度进行显示，

多余的元素可以通过滚动条滚动查看。

列可以添加fixed属性用于一直显示在列中。

```json
{
    "body": [
        {
            "type": "container",
            "model": "fixTable",
            "data": {
                "columns": [
                    {
                        "title": "名字",
                        "dataIndex": "name"
                    },
                    {
                        "title": "年龄",
                        "dataIndex": "age"
                    },
                    {
                        "title": "公司",
                        "dataIndex": "company"
                    }
                ],
                "dataSource": [
                    {
                        "name": "andycall",
                        "age": 21,
                        "company": "Baidu"
                    },
                    {
                        "name": "dongtiancheng",
                        "age": 21,
                        "company": "Baidu.inc"
                    },
                    {
                        "name": "andycall",
                        "age": 21,
                        "company": "Baidu"
                    },
                    {
                        "name": "dongtiancheng",
                        "age": 21,
                        "company": "Baidu.inc"
                    },
                    {
                        "name": "andycall",
                        "age": 21,
                        "company": "Baidu"
                    },
                    {
                        "name": "dongtiancheng",
                        "age": 21,
                        "company": "Baidu.inc"
                    },
                    {
                        "name": "andycall",
                        "age": 21,
                        "company": "Baidu"
                    },
                    {
                        "name": "dongtiancheng",
                        "age": 21,
                        "company": "Baidu.inc"
                    },
                    {
                        "name": "andycall",
                        "age": 21,
                        "company": "Baidu"
                    },
                    {
                        "name": "dongtiancheng",
                        "age": 21,
                        "company": "Baidu.inc"
                    },
                    {
                        "name": "andycall",
                        "age": 21,
                        "company": "Baidu"
                    },
                    {
                        "name": "dongtiancheng",
                        "age": 21,
                        "company": "Baidu.inc"
                    }
                ]
            },
            "children": [
                {
                    "type": "table",
                    "columns": "#ES{$data.columns}",
                    "dataSource": "#ES{$data.dataSource}",
                    "fixedHeader": {
                        "fixedHeight": 200,
                        "fixedWidth": 600
                    },
                    "customerColumnControls": [{
                        "dataIndex": "name",
                        "width": 100,
                        "fixed": "left"
                    }, {
                        "dataIndex": "age"
                    }, {
                        "dataIndex": "company",
                        "width": 100,
                        "fixed": "right"
                    }]
                }
            ]
        }
    ]
}
```
