## 图片上传组件

基本的图片上传组件，需要写在表单组件中。$data.textUpload中有文件列表的信息，包括服务器响应信息。

```json
{
    "body": [
        {
            "type": "container",
            "model": "uploadData",
            "data": {},
            "children": [
                {
                    "type": "form",
                    "name": "basicForm",
                    "children": [
                        {
                            "type": "formItem",
                            "hasFeedBack": false,
                            "control": {
                               "type": "upload",
                               "name": "upload",
                               "action": "/api/mock/gdUploadImg",
                               "listType": "picture-card",
                               "uploadType": "#ES{['image/jpeg']}",
                               "uploadSize": "100"
                           }
                        },
                        {
                            "type": "text",
                            "text": "数量：#ES{$data.upload.length}"
                        },
                        {
                            "type": "text",
                            "text": "表单是否可提交: #ES{$form.valid}"
                        }
                        
                    ]
                }
            ]
        }
    ]
}
```
