export default {
    'basicGuide': {
        'HelloWorld': {
            title: 'HelloWorld',
            md: require('raw-loader!./Helloworld.md')
        },
        'containerComponent': {
            title: '组件',
            md: require('raw-loader!./ContainerComponent.md')
        },
        'expressionString': {
            title: '数据同步',
            md: require('raw-loader!./ExpressionString.md')
        },
        'dataProvider': {
            title: '数据的获取',
            md: require('raw-loader!./DataProvider.md')
        },
        'event': {
            title: '事件',
            md: require('raw-loader!./Event.md')
        },
        'dataCustomer': {
            title: '数据的发送和提交',
            md: require('raw-loader!./DataCustomer.md')
        },
        'missionGroup': {
            title: '任务组',
            md: require('raw-loader!./missionGroup.md')
        },
        'layout': {
            title: '布局',
            md: require('raw-loader!./LayoutSystem.md')
        },
        'nestContainer': {
            title: '嵌套的Container组件',
            md: require('raw-loader!./NestContainer.md')
        },
        'filter': {
            title: '自定义函数',
            md: require('raw-loader!./Filter.md')
        }
    },
    'advancedGuide': {
        'basicContainer': {
            title: '组件扩展',
            md: require('raw-loader!./BasicContainer.md')
        },
        'syncContainer': {
            title: '组件数据同步',
            md: require('raw-loader!./syncContainer.md')
        },
        'useExpressionString': {
            title: '调用ExpressionString',
            md: require('raw-loader!./useExpressionString.md')
        },
        'renderComponent': {
            title: '组件内部渲染组件',
            md: require('raw-loader!./renderComponent.md')
        },
        'extendDataProvider': {
            title: '扩展数据输入源',
            md: require('raw-loader!./extendDataProvider.md')
        },
        'extendDataCustomer': {
            title: '扩展数据输出源',
            md: require('raw-loader!./extendDataCustomer.md')
        },
        'understandLifeCircle': {
            title: '理解组件生命周期',
            md: require('raw-loader!./understandLifeCircle.md')
        }
    }
};
