# 理解组件生命周期

用户编写的配置，通过渲染引擎渲染出页面，也无需关心内部组件的生命周期。

如果使用代码来开发页面的话，程序员就需要清楚页面中每个组件的生命周期的变更对应用的影响。

但是如果我们要用代码来开发渲染引擎的组件的话，就必须要清楚，引擎在渲染组件的时候，会做哪些事情。

具体细节，请参考下面这个图：

![img](https://ws2.sinaimg.cn/large/006tKfTcly1fp4bpx1ez0j30p31qu0wv.jpg)

在编写扩展的时候，一般只需要关心componentWillMount这个函数，如果有需要使用默认值这个功能，就可以在componentWillMount函数内，
使用this.props.$setData函数来更新数据模型。
