/// <reference types="react" />
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
import { CSSProperties } from 'react';
export declare class IconConfig extends BasicConfig {
    /**
     * 是否有旋转动画
     */
    spin?: boolean;
    /**
     * CSS class
     */
    className?: string;
    /**
     * 内联CSS属性
     */
    style?: CSSProperties;
    /**
     * 图标类型
     */
    icon?: string;
}
export declare class IconPropsInterface extends BasicContainerPropsInterface {
    info: IconConfig;
}
export declare class AbstractIcon extends BasicContainer<IconPropsInterface, {}> {
    constructor(props: IconPropsInterface);
    render(): {} | null | undefined;
}
