import { BasicCustomerInstance, CustomerParams } from '../Controller';
export interface SubmitCustomerExecConfig {
    /**
     * 提交的地址
     */
    url: string;
    /**
     * 提交的方式
     */
    method: string;
    /**
     * 提交的数据
     */
    data: Object | string;
    /**
     * 返回值验证
     */
    retCheckPattern?: string;
    /**
     * 返回值映射
     */
    retMapping?: Object;
    /**
     * 提示的错误信息
     */
    retErrorMsg?: string;
    retErrMsg?: string;
    /**
     * 返回值映射的字段
     */
    namespace?: string;
}
export declare class SubmitCustomer implements BasicCustomerInstance {
    exec(config: SubmitCustomerExecConfig, params: CustomerParams): Promise<any>;
}
