export declare type callbackItem = {
    /**
     * 事件名称
     */
    event: string;
    /**
     * 目标dataCustomer
     */
    targetCustomer: string;
    /**
     * 传递参数
     */
    params: (string | number | boolean)[];
    /**
     * 调试模式
     */
    debug?: boolean;
    /**
     * 触发条件
     */
    condition?: string;
};
export declare class CallbackController {
    private store;
    constructor();
    hasCallback(event: string): boolean;
    registerCallback(event: string, targetCustomer: string, params: (string | number | boolean)[], debug?: boolean, condition?: string): void;
    getCallbackInfo(event: string): callbackItem | callbackItem[];
}
