import { Reducer } from 'redux';
import { IState as IContainerState } from '../core/Container/reducer';
import { IState as ITriggerState } from '../core/Trigger/reducers';
import { IState as IFormState } from '../core/Form/reducers';
export interface RootState {
    container: IContainerState;
    trigger: ITriggerState;
    form: IFormState;
}
export declare const rootReducer: Reducer<RootState>;
