export interface ValidateRules {
    /**
     * 字段长度
     */
    len?: number;
    /**
     * 最大值
     */
    max?: number;
    /**
     * 最大长度
     */
    maxLength?: number;
    /**
     * 最小值
     */
    min?: number;
    /**
     * 最小长度
     */
    minLength?: number;
    /**
     * 校验文案
     */
    message?: string;
    /**
     * 正则表达式
     */
    pattern?: string;
    /**
     * 是否必须
     */
    required?: boolean;
    /**
     * 必须时，空格是否会被认为是错误
     */
    whitespace?: boolean;
}
