/// <reference types="react" />
import { CSSProperties } from 'react';
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
import './UniversalChart.css';
export declare class UniversalChartConfig extends BasicConfig {
    /**
     * CSS class
     */
    className?: string;
    /**
     * 内联CSS属性
     */
    style?: CSSProperties;
    /**
     * 是否在加载
     */
    loading?: boolean;
}
export declare class UniversalChartPropsInterface extends BasicContainerPropsInterface {
    info: UniversalChartConfig;
}
export default class UniversalChart extends BasicContainer<UniversalChartPropsInterface, {}> {
    DOMElement: any;
    DOMID: string;
    isMount: boolean;
    chart: any;
    chartOptions: any;
    constructor(props: UniversalChartPropsInterface);
    componentDidMount(): void;
    shouldComponentUpdate(): boolean;
    componentDidUpdate(prevProps: UniversalChartPropsInterface): void;
    render(): {} | null | undefined;
}
