import { BasicSyncProviderInterface, ProviderGlobalOptions, ProviderSourceConfig } from '../Controller';
import { ContainerProps } from '../../Container/types';
export declare class InitDataProvider implements BasicSyncProviderInterface {
    configCheck(provider: ProviderSourceConfig): boolean;
    parse(provider: ProviderSourceConfig, props: ContainerProps, context: any): ProviderSourceConfig;
    retCheck(ret: Object, provider: ProviderSourceConfig): boolean;
    retParse(ret: Object, provider: ProviderSourceConfig, props: ContainerProps, context: any): Object;
    run(provider: ProviderSourceConfig, options?: ProviderGlobalOptions): any;
    onError(errmsg: string): void;
}
