import { Iterator } from 'immutable';
export declare type pureFunc = (...args: any[]) => any;
export declare class FilterController {
    private store;
    constructor();
    setFilter(funcName: string, func: pureFunc): void;
    getFilter(funcName: string): pureFunc;
    hasFilter(funcName: string): boolean;
    getAllFilterName(): Iterator<string>;
    delFilter(funcName: string): void;
    clearFilter(): void;
    size(): number;
}
export declare const filter: FilterController;
