## 基础使用

自动补全不需要添加`dataSource`属性


```json
{
    "body": [
        {
            "type": "container",
            "model": "demoAutoComplete",
            "children": [
                {
                    "type": "autoComplete",
                    "name": "search",
                    "loadDataConfig": {
                        "url": "/api/mock/autoComplete",
                        "method": "GET",
                        "data": {
                            "query": "#ES{$args.search}"
                        },
                        "retMapping": "#ES{$output.data}"
                    }
                },
                {
                    "type": "text",
                    "text": "selected value: #ES{$data.search}"
                }
            ]
        }
    ]
}
```