# Checkbox 多选框

## 代码演示

{{demo}}

## API

| 属性        | 说明     | 类型               | 是否必须  | 默认值   |
| --------- | ------ | ---------------- | ----- | ----- |
| name | Checkbox的数据模型Key | string | true | - | 
| defaultChecked | 初始是否选中 | boolean | false | false | 
| disabled | 是否禁用 |  boolean | false | false |
| text | 显示的文字 | string | false | - |
| className | CSS class | string | false | - |
| groups | 成组的多选 | CheckBoxGroupItem | false | - | 
| groupSelectAll | 添加全选功能 | boolean | false | false | 
| style | 内联CSS属性 | CSSProperties | false | - |


```typescript
export class CheckBoxGroupItem {
    /**
     * 多选的Key
     */
    key: string;

    /**
     * 多选框文字
     */
    text: string;
}
```


## 事件

| 事件名称        | 触发条件   | 参数   |
| ----------- | ------ | ---- |
| onChange | 当数据更新 | 无 |
| onMouseEnter | 当鼠标按下 | 无 |
| onMouseLeave | 当鼠标松开 | 无 |
