## 多组多选框

可以使用`groups`属性来配置一组多选，

设置`groupSelectAll`为true可以添加全选


```json
{
    "body": [
        {
            "type": "container",
            "model": "checkboxGroup",
            "children": [
                {
                    "type": "checkbox",
                    "name": "boxGroup",
                    "groups": [
                        {
                            "key": "name",
                            "text": "姓名"
                        },
                        {
                            "key": "age",
                            "text": "年龄"
                        },
                        {
                            "key": "company",
                            "text": "公司"
                        }
                    ],
                    "groupSelectAll": true
                },
                {
                    "type": "text",
                    "htmlType": "code",
                    "style": {
                        "marginTop": 10,
                        "display": "block"
                    },
                    "text": "#ES{$data.boxGroup}"
                }
            ]
        }
    ]
}
```