## 父级继承

继承的container组件，在初始化的时候，也可以读取$parent属性。

```json
{
    "body": [{
        "type": "container",
        "model": "outerContainer",
        "data": {},
        "children": [
            {
                "type": "button",
                "text": "click to enable modal",
                "trigger": [{
                    "event": "onClick",
                    "targetCustomer": "$this",
                    "params": {
                        "popModal": true,
                        "selectedRowKeys": [1,2,3,4,5]
                    }
                }]
            },
            {
                "type": "modal",
                "name": "popModal",
                "children": [{
                    "type": "container",
                    "model": "innerContainer",
                    "data": {
                        "id": "#ES{$parent.selectedRowKeys[0]}"
                    },
                    "children": [{
                        "type": "text",
                        "text": "the id: #ES{$data.id}"
                    }]
                }]
            }
        ]
    }]
}
```
