## 多级嵌套

多个嵌套的container示例

```json
{
    "body": [{
        "type": "container",
        "model": "root",
        "data": {
            "name": "root"
        },
        "children": [{
            "type": "container",
            "model": "left-1",
            "data": {
                "name": "left-1"
            },
            "children": [{
                "type": "container",
                "model": "left-1-1",
                "data": {
                    "name": "left-1-1"
                },
                "children": [{
                    "type": "text",
                    "style": {
                        "display": "block"
                    },
                    "text": "model: left-1-1, private name: #ES{$data.name}"
                }, {
                    "type": "text",
                    "style": {
                        "display": "block"
                    },
                    "text": "model: left-1-1, parent name: #ES{$parent.name}"
                }, {
                    "type": "text",
                    "style": {
                        "display": "block"
                    },
                    "text": "model: left-1-1, parent parent name: #ES{$parent.$parent.name}"
                }]
            }]
        }]
    }]
}
```
