## 提示

给予用于一些简单的提示

```json
{
    "body": [
        {
            "type": "container",
            "model": "messageContainer",
            "dataCustomer": {
                "customers": [{
                    "mode": "message",
                    "name": "popMessage",
                    "config": "#ES{$trigger.popMessage}"
                }]
            },
            "children": [{
                 "type": "row",
                 "width": 400,
                 "children": [
                     {
                         "type": "text",
                         "text": "弹出的类型:"
                     },
                     {
                         "type": "select",
                         "name": "mode",
                         "defaultValue": "success",
                         "options": [{
                             "key": "success",
                             "value": "success"
                         }, {
                             "key": "info",
                             "value": "info"
                         }, {
                             "key": "error",
                             "value": "error"
                         }, {
                             "key": "warning",
                             "value": "warning"
                         }, {
                             "key": "loading",
                             "value": "loading"
                         }]
                     }      
                 ]
             },
             {
                 "type": "row",
                 "width": 400,
                 "children": [
                     {
                         "type": "text",
                         "text": "弹出的文字："
                     },
                     {
                         "type": "input",
                         "name": "content",
                         "defaultValue": "helloWorld"
                     }
                 ]
             },
             {
                 "type": "button",
                 "text": "点击弹出信息",
                 "trigger": [{
                     "event": "onClick",
                     "targetCustomer": "popMessage",
                     "params": {
                         "content": "#ES{$data.content}",
                         "mode": "#ES{$data.mode}"
                     }
                 }]
             }]
        }
    ]
}
```
