## 确认提示框

用于实现业务逻辑中的点击确认，信息提示，状态提示。

```json
{
    "body": [{
        "type": "container",
        "model": "modalContainer",
        "dataCustomer": {
            "customers": [
                {
                    "mode": "modal",
                    "name": "confirmModal",
                    "config": "#ES{$trigger.confirmModal.confirm}"
                },
                {
                    "mode": "modal",
                    "name": "notice"
                },
                {
                    "mode": "message",
                    "name": "popMessage",
                    "config": "#ES{$trigger.popMessage.message}"
                }
            ],
            "groups": [
                {
                    "name": "confirmGroup",
                    "steps": ["confirmModal", "popMessage"]
                }
            ]
        },
        "children": [
            {
                "type": "button",
                "text": "点击确认w",
                "trigger": [{
                    "event": "onClick",
                    "targetCustomer": "confirmGroup",
                    "params": {
                        "message": {
                            "content": "你通过了"
                        },
                        "confirm": {
                            "title": "确认？？",
                            "content": [{
                                "type": "text",
                                "text": "实例弹框内容。。。。"
                            }]
                        }
                    }
                }]
            }
        ]
    }]
}
```
