## 输入框自定义模板

可以使用dateInputTemplate来让输入框显示自定义的内容

```json
{
    "body": [{
        "type": "container",
        "model": "inputTemplate",
        "data": {
            "range": 5
        },
        "children": [{
            "type": "row",
            "children": [{
                 "type": "input",
                 "inputType": "number",
                 "name": "range",
                 "gridCount": 2
             }, {
                 "type": "datePicker",
                 "name": "time",
                 "dateInputTemplate": "#ES{$moment($data.time).format('YYYY-MM-DD')} ~ #ES{$moment($data.time).add($data.range, 'days').format('YYYY-MM-DD')}",
                 "style": {
                     "width": "100%"
                 },
                 "gridPaddingLeft": 10,
                 "gridCount": 8
             }]
        }]
    }]
}
```
