# 折线图

基于echarts的折线图组件

## 代码演示

{{demo}}

## API

| 属性        | 说明     | 类型               | 是否必须  | 默认值   |
| --------- | ------ | ---------------- | ----- | ----- |
| categories | 数据类别 | string[] | true | -
| categoriesUp | 对比时上面坐标轴数据 | string[] | false | - |
| series | 图表数据源 | SeriesItem[] | true | - |
| series=[{icon}] | 图表数据源(提供的标记类型包括'circle', 'rect', 'roundRect', 'triangle', 'diamond', 'pin', 'arrow',也可以通过 'image://url' 设置为图片，其中 url 为图片的链接，或者 dataURI) | string | true | - |
| series=[{areaStyle}] | 区域填充样式 | object | false | - |
| areaStyle.color | 区域填充颜色 | string | false | - |
| series=[{itemStyle}] | 折线拐点标志的样式 | string | false | - |
| itemStyle.color | 折线拐点标志的颜色 | string | false | - |  
| itemStyle.lineStyle | 线条的样式 | object | false | - |
| itemStyle.lineStyle.width | 线条的宽度 | string | false | - |
| series=[{emphasis}] | 图形的高亮样式 | object | false | - |
| series=[{emphasis}] | 图形的高亮样式 | object | false | - |
| width  | 宽度 | number| false | 500 |
| height | 高度 | number | false | 400
| noDateheight  | 无数据提示默认高度 | number| false | 100 |
| tooltip | 提示框组件 | boolean | false | true
| title | 标题 | string | false | -| 
| toolbox | 工具栏 | boolean | false | true
| dataZoom | 是否支持缩放 | boolean | false | true |
| className | CSS Class | string | false | -
| style | 内联CSS属性  | CSSProperties | false | -
| loading | 是否在加载 | boolean | false | false | 
| legends | 图例设置（但需要修改图例icon时需要将customLegend是指为true） | object | false | - |
| legends.top | 图例高度设置| string | false | - |
| legends.bottom | 图例宽度设置 | string | false | - |
| legends.left | 图例设置 | string | false | - |
| legends.right | 图例设置 | string | false | - |
| legends.width | 图例设置 | string | false | - |
| legends.height | 图例设置 | string | false | - |
| legends.orient | 图例方向设置('horizontal','vertical') | string | false | - |
| legends.type | 图例种类设置（'plain','scroll'） | string | false | - |