## 基础使用

提供`series`和`categories`属性就可以工作了

```javascript
function parsePosition() {
    console.log(arguments);
}

if (!window.RCRE.filter.hasFilter('parsePosition')) {
    window.RCRE.filter.setFilter('parsePosition', parsePosition);   
}
```

```json
{
    "body": [
        {
            "type": "container",
            "model": "chartBasic",
            "dataProvider": [
                {  
                    "mode": "ajax",
                    "namespace": "linechart",
                    "config": {
                        "url": "/api/mock/linechart",
                        "method": "GET"
                    }
                }
            ],
            "children": [
                {
                    "type": "lineChart",
                    "categories": "#ES{$data.linechart.data.categories}",
                    "series": "#ES{$data.linechart.data.series}",
                    "height": 300,
                    "tooltip": {
                        "position": "#ES{parsePosition}"
                    }
                }
            ]
        }
    ]
}
```
