## 对比

对比上面的线`categoriesUp`对比下面的线`categories`

```json
{
    "body": [
        {
            "type": "container",
            "model": "chartCompare",
            "children": [
                {
                    "type": "lineChart",
                    "categories": [
                        "2015-11-01",
                        "2015-11-02",
                        "2015-11-03",
                        "2015-11-04",
                        "2015-11-05",
                        "2015-11-06",
                        "2015-11-07",
                        "2015-11-08",
                        "2015-11-09",
                        "2015-11-10",
                        "2015-11-11",
                        "2015-11-12",
                        "2015-11-13",
                        "2015-11-14",
                        "2015-11-15"
                    ],
                    "categoriesUp": [
                        "2015-11-11",
                        "2015-11-12",
                        "2015-11-13",
                        "2015-11-14",
                        "2015-11-15",
                        "2015-11-16",
                        "2015-11-17",
                        "2015-11-18",
                        "2015-11-19",
                        "2015-11-20",
                        "2015-11-21",
                        "2015-11-22",
                        "2015-11-23",
                        "2015-11-24",
                        "2015-11-25"
                    ],
                    "series": [
                        {
                            "name": "推广用户数",
                            "icon": "rect",
                            "smooth": true,
                            "showSymbol": false,
                            "areaStyle": {
                                "normal":{
                                    "color": "rgba(57,152,252,0.10)"
                                }
                            },
                            "itemStyle": {
                                "normal": {
                                    "color": "rgb(57, 152, 252)",
                                    "lineStyle": {
                                        "width": 1
                                    }
                                },
                                "emphasis": {
                                    "borderWidth": 1
                                }
                            },
                            "data": [
                                198907,
                                97761,
                                198924,
                                66256,
                                138748,
                                64537,
                                77671,
                                101897,
                                399961,
                                197001,
                                194126,
                                191954,
                                199853,
                                193973,
                                192649
                            ]
                        },
                        {
                            "name": "老用户数",
                            "icon": "rect",
                            "areaStyle": {
                                "normal":{
                                    "color": "rgba(91, 196, 159, 0.10)"
                                }
                            },
                            "itemStyle": {
                                "normal": {
                                    "color": "rgb(91, 196, 159)",
                                    "lineStyle": {
                                        "width": 1
                                    }
                                },
                                "emphasis": {
                                    "borderWidth": 1
                                }
                            },
                            "data": [
                                123787,
                                126385,
                                123691,
                                127096,
                                125113,
                                126222,
                                121228,
                                129377,
                                122632,
                                121349,
                                120543,
                                124909,
                                128427,
                                128919,
                                28824
                            ]
                        }  
                    ],
                    "height": 300,
                    "yAxis":{
                        "show": true,
                        "axisTick": {
                            "show": true
                        },
                        "axisLine": {
                            "show": true
                        },
                        "splitLine": {
                            "show": true,
                            "lineStyle":{
                                "color": "#373737",
                                "type": "dashed"
                            }
                        }
                    }
                }
            ]
        }
    ]
}
```