## 带有快捷选择

只需要设置`range`属性就能直接使用。

RangePicker写入到数据模型中的值是一个数组, [开始时间， 结束时间]

```json
{
    "body": [
        {
            "type": "container",
            "model": "rangePicker",
            "children": [
                {
                    "type": "rangePicker",
                    "name": "dateRange",
                    "rangeSelectConfig": [
                        {
                            "startOf": "days",
                            "startOfOffset": 2,
                            "endOf": "days",
                            "endOfOffset": 0,
                            "title": "最近三天"
                        },
                        {
                            "startOf": "days",
                            "startOfOffset": 6,
                            "endOf": "days",
                            "endOfOffset": 0,
                            "title": "最近七天"
                        },
                        {
                            "startOf": "week",
                            "startOfOffset": 0,
                            "endOf": "week",
                            "endOfOffset": 0,
                            "title": "本周"
                        },
                        {
                            "startOf": "month",
                            "startOfOffset": 0,
                            "endOf": "month",
                            "endOfOffset": 0,
                            "title": "本月"
                        }
                    ]
                }
            ]
        }
    ]
}
```
