## 和hidden进行组合

可以在row组件内部使用hidden或者show来控制组件显示和隐藏

```json
{
    "debug": true,
    "body": [
        {
            "type": "container",
            "model": "tableBasic",
            "data": {
                "columns": [
                    {
                        "title": "名字",
                        "dataIndex": "name"
                    },
                    {
                        "title": "年龄",
                        "dataIndex": "age"
                    },
                    {
                        "title": "公司",
                        "dataIndex": "company"
                    },
                    {
                        "title": "操作",
                        "dataIndex": "operation"
                    }
                ],
                "dataSource": [
                    {
                        "name": "andycall",
                        "age": 21,
                        "company": "Baidu"
                    },
                    {
                        "name": "dongtiancheng",
                        "age": 22,
                        "company": "Baidu.inc"
                    }
                ]
            },
            "children": [
                {
                    "type": "table",
                    "columns": "#ES{$data.columns}",
                    "dataSource": "#ES{$data.dataSource}",
                    "customerColumnControls": [{
                        "dataIndex": "operation",
                        "controls": [{
                            "type": "row",
                            "children": [
                                {
                                    "type": "text",
                                    "gridWidth": 40,
                                    "text": "A"
                                },
                                {
                                    "type": "tooltip",
                                    "gridCount": 2,
                                    "title": "B",
                                    "hidden": "#ES{$item.age === 21}",
                                    "children": [{
                                        "type": "text",
                                        "text": "B"
                                    }]
                                },
                                {
                                    "type": "text",
                                    "gridWidth": 30,
                                    "text": "C",
                                    "show": false
                                },
                                {
                                    "type": "text",
                                    "text": "D"
                                }
                            ]
                        }]
                    }]
                }
            ]
        }]
}
```
