## 基础使用

渲染最简单的表格只需要配置`columns`和`dataSource`即可

Table组件需要依赖`container`组件来提供数据.

1. columns, 配置表头, 以及每一列的数据字段
2. dataSource. 结构化数据源

```json
{
    "body": [
        {
            "type": "container",
            "model": "tableBasic",
            "dataProvider": [{
                "mode": "ajax",
                "namespace": "tableData",
                "config": {
                    "url": "/api/mock/table",
                    "method": "GET"
                }
            }],
            "children": [
                {
                    "type": "table",
                    "columns": "#ES{$data.tableData.data.head}",
                    "dataSource": "#ES{$data.tableData.data.body}"
                }
            ]
        }
    ]
}
```
