## 表头分组

在columns上添加层级关系可以实现表头分组

```json
{
    "body": [{
        "type": "table",
        "bordered": true,
        "columns": [{
            "dataIndex": "name",
            "title": "姓名",
            "width": 100,
            "fixed": "left",
            "key": "name"
        }, {
            "title": "其他",
            "children": [{
                "title": "年龄",
                "dataIndex": "age",
                "width": 200,
                "key": "age"
            }, {
                "title": "地址",
                "children": [{
                    "title": "街道",
                    "dataIndex": "street",
                    "width": 200
                }, {
                    "title": "区域",
                    "children": [{
                        "title": "建筑",
                        "dataIndex": "building",
                        "width": 100
                    }, {
                        "title": "门面",
                        "dataIndex": "number",
                        "width": 100
                    }]
                }]
            }]
        }],
        "dataSource": [{
            "name": "John Brown",
            "age": 22,
            "street": "Lake Park",
            "building": "C",
            "number": 2035,
            "companyAddress": "Lake Street 42",
            "companyName": "SoftLake Co",
            "gender": "M"
        }, {
           "name": "John Brown",
           "age": 22,
           "street": "Lake Park",
           "building": "C",
           "number": 2035,
           "companyAddress": "Lake Street 42",
           "companyName": "SoftLake Co",
           "gender": "M"
       }]
    }]
}
```
