## 合并单元格

通过设置mergeFirstColumn实现首列相同项合并

```json
{
    "body": [
        {
            "type": "container",
            "model": "mergeFirstColumn",
            "data": {
                "columns": [
                    {
                        "title": "名字",
                        "dataIndex": "name"
                    },
                    {
                        "title": "年龄",
                        "dataIndex": "age"
                    },
                    {
                        "title": "公司",
                        "dataIndex": "company"
                    }
                ],
                "dataSource": [
                    {
                        "name": "andycall",
                        "age": 21,
                        "company": "Baidu",
                        "rowSpan": 2
                    },
                    {
                        "name": "andycall",
                        "age": 21,
                        "company": "Baidu.inc",
                        "rowSpan": 1
                    },
                    {
                        "name": "4",
                        "age": 21,
                        "company": "Baidu.inc",
                        "rowSpan": 1
                    },
                    {
                        "name": "e",
                        "age": 21,
                        "company": "Baidu.inc",
                        "rowSpan": 1
                    },
                    {
                        "name": "meimei",
                        "age": 21,
                        "company": "Baidu.inc",
                        "rowSpan": 1
                    },
                                        {
                        "name": "andycall",
                        "age": 21,
                        "company": "Baidu",
                        "rowSpan": 2
                    },
                    {
                        "name": "andycall",
                        "age": 21,
                        "company": "Baidu.inc",
                        "rowSpan": 1
                    }
                ]
            },
            "children": [
                {
                    "type": "table",
                    "columns": "#ES{$data.columns}",
                    "dataSource": "#ES{$data.dataSource}",
                    "mergeFirstColumn": true,
                    "customerColumnControls": [
                        {
                            "dataIndex": "age",
                            "controls": [
                                {
                                    "type": "trend",
                                    "text": "#ES{Number($item.age)}%"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}
```
