## 组件选中值

`Tabs`组件, 结合container组件，通过name可以获取选中的值

```json
{
    "body": [
        {
            "type": "container",
            "model": "tansCon",
            "children": [
                {
                    "type": "tabs",
                    "name": "tab",
                    "defaultActiveKey": "B",
                    "tabs": [
                        {
                            "title": "A",
                            "children": [
                                {
                                    "type": "text",
                                    "text": "AAA"
                                }
                            ]
                        },
                        {
                            "title": "B",
                            "children": [
                                {
                                    "type": "text",
                                    "text": "BBB"
                                }
                            ]
                        }
                    ]
                }, {
                    "type": "text",
                    "text": "#ES{'tab activeKey is :' + $data.tab}"
                }
            ]
        }
    ]
}
```
