## 基础使用

设置name属性就能让treeSelect组件同步到container组件，

设置showSearch: true就能提供筛选查询功能

```json
{
    "body": [{
        "type": "container",
        "model": "basicDemo",
        "data": {
            "options": [
               {
                  "title": "AAA",
                  "key": "aaa"
               },
               {
                  "title": "BBB",
                  "key": "bbb"
               },
               {
                  "title": "CCC",
                  "key": "ccc",
                  "children": [
                      {
                          "title": "DDD",
                          "key": "ddd"
                      },
                      {
                          "title": "EEE",
                          "key": "eee",
                          "children": []
                      }
                  ]
               }
           ]
        },
        "children": [{
            "type": "treeSelect",
            "name": "tree",
            "options": "#ES{$data.options}"
        }]
    }]
}
```
