## 多选框

添加treeCheckable就能支持多选

```json
{
    "body": [{
        "type": "container",
        "model": "treeSelectDemo",
        "children": [{
            "type": "treeSelect",
            "name": "tree",
            "allowClear": true,
            "treeCheckable": true,
            "trigger": [
                {
                    "event": "onSelect",
                    "targetCustomer": "$this",
                    "params": {
                        
                    },
                    "debug": true
                }
            ],
            "options": [
                {
                   "title": "AAA",
                   "key": "aaa"
                },
                {
                   "title": "BBB",
                   "key": "bbb"
                },
                {
                   "title": "CCC",
                   "key": "ccc",
                   "children": [
                       {
                           "title": "DDD",
                           "key": "ddd"
                       },
                       {
                           "title": "EEE",
                           "key": "eee",
                           "children": []
                       }
                   ]
                }
            ]
        }]
    }]
}
```
