## 柱状图使用

按照echarts配置格式来配置柱状图，width设置图表的宽度height设置图表的高度

```json
{
    "body": [
        {
            "type": "container",
            "model": "barChartBasic",
            "dataProvider": [
                {  
                    "mode": "ajax",
                    "namespace": "Barchart",
                    "config": {
                        "url": "/api/mock/barchart",
                        "method": "GET"
                    }
                }
            ],
            "children": [
                {
                    "type": "UniversalChart",
                    "width": 500,
                    "height": 300,
                    "config": {
                        "xAxis": {
                        "type": "category",
                            "data": ["Mon", "Tue", "Wed", "Thu", "Fri", "Sat", "Sun"]
                        },
                        "yAxis": {
                            "type": "value"
                        },
                        "series": [{
                            "data": [120, 200, 150, 80, 70, 110, 130],
                            "type": "bar"
                        }]
                    }
                }
            ]
        }
    ]
}
```