## 饼图使用

按照echarts配置格式来配置饼图

```json
{
    "body": [
        {
            "type": "container",
            "model": "chartBasic",
            "dataProvider": [
                {  
                    "mode": "ajax",
                    "namespace": "Piechart",
                    "config": {
                        "url": "/api/mock/piechart",
                        "method": "GET"
                    }
                }
            ],
            "children": [
                {
                    "type": "UniversalChart",
                    "config": {
                        "series" : [
                            {
                                "name": "访问来源",
                                "type": "pie",
                                "radius" : "55%",
                                "center": ["50%", "60%"],
                                "data":[
                                    {"value":335, "name": "直接访问"},
                                    {"value":310, "name":"邮件营销"},
                                    {"value":234, "name":"联盟广告"},
                                    {"value":135, "name":"视频广告"},
                                    {"value":1548, "name":"搜索引擎"}
                                ],
                                "itemStyle": {
                                    "emphasis": {
                                        "shadowBlur": 10,
                                        "shadowOffsetX": 0,
                                        "shadowColor": "rgba(0, 0, 0, 0.5)"
                                    }
                                }
                            }
                        ]
                    }
                }
            ]
        }
    ]
}
```