import {filter} from './filter';

describe('filter test', () => {
    it('setFilter', () => {
         filter.setFilter('true', () => {
             return true;
         });

         expect(filter.hasFilter('true')).toBe(true);
    });

    it('hasFilter', () => {
        expect(filter.hasFilter('true')).toBe(true);
        expect(filter.hasFilter('false')).toBe(false);
    });

    it('getAllFilterName', () => {
        let allName = filter.getAllFilterName();
        let next = allName.next();

        while (!next.done) {
            let funcName = next.value;
            expect(funcName).toBe('true');
            next = allName.next();
        }
    });

    it('clearFilter', () => {
        filter.clearFilter();
        expect(filter.size()).toBe(0);
    });
});
